#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <map>

using namespace std;

using ui = unsigned int;
using vvi = vector<vector<int>>;
using vi = vector<int>;
using ll = long long;
using ull = unsigned long long;
using pii = pair<int, int>;

ll maxll(ll a, ll b) { return (a > b) ? a : b; }
ll minll(ll a, ll b) { return (a < b) ? a : b; }
ll gcd(ll a, ll b) { return b ? gcd(b, a % b) : a; }

// int: from -2*10^9 to 2*10^9
// unsigned int: from 0 to 4*10^9
// long long: from -9*10^18 to 9*10^18
// unsigned long long: from 0 to 18*10^18

vector<pii> p;
vi used;
pii best_ans;

pii solve(int m, int m1, int n)
{
	if (m1 > m)
		return {0, 0};
	if (m1 == m)
	{
		int u = 0, un = 0;
		for (int i = 0; i < n; ++i)
		{
			if (used[i] == 1)
			{
				++u;
				++un;
			}
			if (used[i] == 2)
				++u;
		}
		int best_u = best_ans.first, best_un = best_ans.second;
		if (u < best_u)
			best_ans = make_pair(u, un);
		if (u == best_u && un > best_un)
			best_ans = make_pair(u, un);
		return {0, 0};
	}

	int l_used = -1;
	for (int i = 0; i < n; ++i)
	{
		if (used[i] != 0)
			l_used = i;
	}

	for (int i = l_used + 1; i < n; ++i)
	{
		if (used[i] == 0)
		{
			used[i] = 1;
			solve(m, m1 + p[i].first, n);
			used[i] = 2;
			solve(m, m1 + p[i].second, n);
			used[i] = 0;
		}
	}
	return best_ans;
}

int main()
{
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
	//freopen("input.txt", "r", stdin);
	//  freopen("output.txt", "w", stdout);

	int n, m;
	cin >> n >> m;
	vi tv;
	for (int i = 0; i < n; ++i)
	{
		int t;
		cin >> t;
		tv.push_back(t);
	}

	sort(tv.begin(), tv.end());
	for (int i = n - 1; i >= 0; --i)
	{
		//cout << tv[i] << ' ' << int(1.1 * tv[i]) << '\n';
		p.push_back({tv[i], int(1.1 * tv[i])});
	}

	used = vi(n, 0);
	best_ans = make_pair(n + 1, 0);
	pii ans = solve(m, 0, n);
	if (ans == make_pair(n + 1, 0))
		cout << "0 0\n";
	else
		cout << ans.first << ' ' << ans.second << '\n';
	return 0;
}