#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <chrono>
#include <set>
#include <map>
#include <random>
#include <stack>
using namespace std;
//#define int long long

void fastio()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
}



map<char, char> mp = {{'{', '}'}, {'[', ']'}, {'<', '>'}};
bool is_correct(const string &s)
{
    stack<char> a;
    for(auto el: s)
    {
        if(el == '{' || el == '<' || el == '[')
        {
            a.push(el);
        }
        else
        {
            if(a.empty()) return false;
            if(mp[a.top()] == el)
            {
                a.pop();
            }
            else{
                return false;
            }
        }
    }
    return a.empty();

}
string convert(int n)
{
    string alphabet = "<>[]{}";
    string res;
    while(n > 0)
    {
        res = (char)alphabet[n % 6] + res;
        n /= 6;
    }
    return res;
}
map<int, string> ans = {
        { 560133, "[<<<>>>]"},
        { 561213, "[<<><>>]"},
        { 561393, "[<<>><>]"},
        { 561477, "[<<>>[]]"},
        { 15597, "[<<>>]"},
        { 561493, "[<<>>]<>"},
        { 561507, "[<<>>][]"},
        { 561521, "[<<>>]{}"},
        { 561561, "[<<>>{}]"},
        { 561717, "[<<>[]>]"},
        { 562221, "[<<>{}>]"},
        { 563157, "[<<[]>>]"},
        { 566181, "[<<{}>>]"},
        { 567693, "[<><<>>]"},
        { 567873, "[<><><>]"},
        { 567957, "[<><>[]]"},
        { 15777, "[<><>]"},
        { 567973, "[<><>]<>"},
        { 567987, "[<><>][]"},
        { 568001, "[<><>]{}"},
        { 568041, "[<><>{}]"},
        { 568197, "[<><[]>]"},
        { 568701, "[<><{}>]"},
        { 570297, "[<>[<>]]"},
        { 570801, "[<>[[]]]"},
        { 570897, "[<>[]<>]"},
        { 570981, "[<>[][]]"},
        { 15861, "[<>[]]"},
        { 570997, "[<>[]]<>"},
        { 571011, "[<>[]][]"},
        { 571025, "[<>[]]{}"},
        { 571065, "[<>[]{}]"},
        { 571305, "[<>[{}]]"},
        { 441, "[<>]"},
        { 571543, "[<>]<<>>"},
        { 15877, "[<>]<>"},
        { 571573, "[<>]<><>"},
        { 571587, "[<>]<>[]"},
        { 571601, "[<>]<>{}"},
        { 571627, "[<>]<[]>"},
        { 571711, "[<>]<{}>"},
        { 571977, "[<>][<>]"},
        { 572061, "[<>][[]]"},
        { 15891, "[<>][]"},
        { 572077, "[<>][]<>"},
        { 572091, "[<>][][]"},
        { 572105, "[<>][]{}"},
        { 572145, "[<>][{}]"},
        { 572411, "[<>]{<>}"},
        { 572495, "[<>]{[]}"},
        { 572579, "[<>]{{}}"},
        { 15905, "[<>]{}"},
        { 572581, "[<>]{}<>"},
        { 572595, "[<>]{}[]"},
        { 572609, "[<>]{}{}"},
        { 572901, "[<>{<>}]"},
        { 573405, "[<>{[]}]"},
        { 573909, "[<>{{}}]"},
        { 573921, "[<>{}<>]"},
        { 574005, "[<>{}[]]"},
        { 15945, "[<>{}]"},
        { 574021, "[<>{}]<>"},
        { 574035, "[<>{}][]"},
        { 574049, "[<>{}]{}"},
        { 574089, "[<>{}{}]"},
        { 575757, "[<[<>]>]"},
        { 578781, "[<[[]]>]"},
        { 579357, "[<[]<>>]"},
        { 579537, "[<[]><>]"},
        { 579621, "[<[]>[]]"},
        { 16101, "[<[]>]"},
        { 579637, "[<[]>]<>"},
        { 579651, "[<[]>][]"},
        { 579665, "[<[]>]{}"},
        { 579705, "[<[]>{}]"},
        { 579861, "[<[][]>]"},
        { 580365, "[<[]{}>]"},
        { 581805, "[<[{}]>]"},
        { 591381, "[<{<>}>]"},
        { 594405, "[<{[]}>]"},
        { 597429, "[<{{}}>]"},
        { 597501, "[<{}<>>]"},
        { 597681, "[<{}><>]"},
        { 597765, "[<{}>[]]"},
        { 16605, "[<{}>]"},
        { 597781, "[<{}>]<>"},
        { 597795, "[<{}>][]"},
        { 597809, "[<{}>]{}"},
        { 597849, "[<{}>{}]"},
        { 598005, "[<{}[]>]"},
        { 598509, "[<{}{}>]"},
        { 653457, "[[<<>>]]"},
        { 654537, "[[<><>]]"},
        { 655041, "[[<>[]]]"},
        { 655137, "[[<>]<>]"},
        { 655221, "[[<>][]]"},
        { 18201, "[[<>]]"},
        { 655237, "[[<>]]<>"},
        { 655251, "[[<>]][]"},
        { 655265, "[[<>]]{}"},
        { 655305, "[[<>]{}]"},
        { 655545, "[[<>{}]]"},
        { 656481, "[[<[]>]]"},
        { 659505, "[[<{}>]]"},
        { 669081, "[[[<>]]]"},
        { 672105, "[[[[]]]]"},
        { 672681, "[[[]<>]]"},
        { 673185, "[[[][]]]"},
        { 673281, "[[[]]<>]"},
        { 673365, "[[[]][]]"},
        { 18705, "[[[]]]"},
        { 673381, "[[[]]]<>"},
        { 673395, "[[[]]][]"},
        { 673409, "[[[]]]{}"},
        { 673449, "[[[]]{}]"},
        { 673689, "[[[]{}]]"},
        { 675129, "[[[{}]]]"},
        { 676557, "[[]<<>>]"},
        { 676737, "[[]<><>]"},
        { 676821, "[[]<>[]]"},
        { 18801, "[[]<>]"},
        { 676837, "[[]<>]<>"},
        { 676851, "[[]<>][]"},
        { 676865, "[[]<>]{}"},
        { 676905, "[[]<>{}]"},
        { 677061, "[[]<[]>]"},
        { 677565, "[[]<{}>]"},
        { 679161, "[[][<>]]"},
        { 679665, "[[][[]]]"},
        { 679761, "[[][]<>]"},
        { 679845, "[[][][]]"},
        { 18885, "[[][]]"},
        { 679861, "[[][]]<>"},
        { 679875, "[[][]][]"},
        { 679889, "[[][]]{}"},
        { 679929, "[[][]{}]"},
        { 680169, "[[][{}]]"},
        { 525, "[[]]"},
        { 680407, "[[]]<<>>"},
        { 18901, "[[]]<>"},
        { 680437, "[[]]<><>"},
        { 680451, "[[]]<>[]"},
        { 680465, "[[]]<>{}"},
        { 680491, "[[]]<[]>"},
        { 680575, "[[]]<{}>"},
        { 680841, "[[]][<>]"},
        { 680925, "[[]][[]]"},
        { 18915, "[[]][]"},
        { 680941, "[[]][]<>"},
        { 680955, "[[]][][]"},
        { 680969, "[[]][]{}"},
        { 681009, "[[]][{}]"},
        { 681275, "[[]]{<>}"},
        { 681359, "[[]]{[]}"},
        { 681443, "[[]]{{}}"},
        { 18929, "[[]]{}"},
        { 681445, "[[]]{}<>"},
        { 681459, "[[]]{}[]"},
        { 681473, "[[]]{}{}"},
        { 681765, "[[]{<>}]"},
        { 682269, "[[]{[]}]"},
        { 682773, "[[]{{}}]"},
        { 682785, "[[]{}<>]"},
        { 682869, "[[]{}[]]"},
        { 18969, "[[]{}]"},
        { 682885, "[[]{}]<>"},
        { 682899, "[[]{}][]"},
        { 682913, "[[]{}]{}"},
        { 682953, "[[]{}{}]"},
        { 684705, "[[{<>}]]"},
        { 687729, "[[{[]}]]"},
        { 690753, "[[{{}}]]"},
        { 690825, "[[{}<>]]"},
        { 691329, "[[{}[]]]"},
        { 691425, "[[{}]<>]"},
        { 691509, "[[{}][]]"},
        { 19209, "[[{}]]"},
        { 691525, "[[{}]]<>"},
        { 691539, "[[{}]][]"},
        { 691553, "[[{}]]{}"},
        { 691593, "[[{}]{}]"},
        { 691833, "[[{}{}]]"},
        { 15, "[]"},
        { 699883, "[]<<<>>>"},
        { 700063, "[]<<><>>"},
        { 19447, "[]<<>>"},
        { 700093, "[]<<>><>"},
        { 700107, "[]<<>>[]"},
        { 700121, "[]<<>>{}"},
        { 700147, "[]<<>[]>"},
        { 700231, "[]<<>{}>"},
        { 700387, "[]<<[]>>"},
        { 700891, "[]<<{}>>"},
        { 541, "[]<>"},
        { 701143, "[]<><<>>"},
        { 19477, "[]<><>"},
        { 701173, "[]<><><>"},
        { 701187, "[]<><>[]"},
        { 701201, "[]<><>{}"},
        { 701227, "[]<><[]>"},
        { 701311, "[]<><{}>"},
        { 701577, "[]<>[<>]"},
        { 701661, "[]<>[[]]"},
        { 19491, "[]<>[]"},
        { 701677, "[]<>[]<>"},
        { 701691, "[]<>[][]"},
        { 701705, "[]<>[]{}"},
        { 701745, "[]<>[{}]"},
        { 702011, "[]<>{<>}"},
        { 702095, "[]<>{[]}"},
        { 702179, "[]<>{{}}"},
        { 19505, "[]<>{}"},
        { 702181, "[]<>{}<>"},
        { 702195, "[]<>{}[]"},
        { 702209, "[]<>{}{}"},
        { 702487, "[]<[<>]>"},
        { 702991, "[]<[[]]>"},
        { 703087, "[]<[]<>>"},
        { 19531, "[]<[]>"},
        { 703117, "[]<[]><>"},
        { 703131, "[]<[]>[]"},
        { 703145, "[]<[]>{}"},
        { 703171, "[]<[][]>"},
        { 703255, "[]<[]{}>"},
        { 703495, "[]<[{}]>"},
        { 705091, "[]<{<>}>"},
        { 705595, "[]<{[]}>"},
        { 706099, "[]<{{}}>"},
        { 706111, "[]<{}<>>"},
        { 19615, "[]<{}>"},
        { 706141, "[]<{}><>"},
        { 706155, "[]<{}>[]"},
        { 706169, "[]<{}>{}"},
        { 706195, "[]<{}[]>"},
        { 706279, "[]<{}{}>"},
        { 715437, "[][<<>>]"},
        { 715617, "[][<><>]"},
        { 715701, "[][<>[]]"},
        { 19881, "[][<>]"},
        { 715717, "[][<>]<>"},
        { 715731, "[][<>][]"},
        { 715745, "[][<>]{}"},
        { 715785, "[][<>{}]"},
        { 715941, "[][<[]>]"},
        { 716445, "[][<{}>]"},
        { 718041, "[][[<>]]"},
        { 718545, "[][[[]]]"},
        { 718641, "[][[]<>]"},
        { 718725, "[][[][]]"},
        { 19965, "[][[]]"},
        { 718741, "[][[]]<>"},
        { 718755, "[][[]][]"},
        { 718769, "[][[]]{}"},
        { 718809, "[][[]{}]"},
        { 719049, "[][[{}]]"},
        { 555, "[][]"},
        { 719287, "[][]<<>>"},
        { 19981, "[][]<>"},
        { 719317, "[][]<><>"},
        { 719331, "[][]<>[]"},
        { 719345, "[][]<>{}"},
        { 719371, "[][]<[]>"},
        { 719455, "[][]<{}>"},
        { 719721, "[][][<>]"},
        { 719805, "[][][[]]"},
        { 19995, "[][][]"},
        { 719821, "[][][]<>"},
        { 719835, "[][][][]"},
        { 719849, "[][][]{}"},
        { 719889, "[][][{}]"},
        { 720155, "[][]{<>}"},
        { 720239, "[][]{[]}"},
        { 720323, "[][]{{}}"},
        { 20009, "[][]{}"},
        { 720325, "[][]{}<>"},
        { 720339, "[][]{}[]"},
        { 720353, "[][]{}{}"},
        { 720645, "[][{<>}]"},
        { 721149, "[][{[]}]"},
        { 721653, "[][{{}}]"},
        { 721665, "[][{}<>]"},
        { 721749, "[][{}[]]"},
        { 20049, "[][{}]"},
        { 721765, "[][{}]<>"},
        { 721779, "[][{}][]"},
        { 721793, "[][{}]{}"},
        { 721833, "[][{}{}]"},
        { 730991, "[]{<<>>}"},
        { 731171, "[]{<><>}"},
        { 731255, "[]{<>[]}"},
        { 731339, "[]{<>{}}"},
        { 20315, "[]{<>}"},
        { 731341, "[]{<>}<>"},
        { 731355, "[]{<>}[]"},
        { 731369, "[]{<>}{}"},
        { 731495, "[]{<[]>}"},
        { 731999, "[]{<{}>}"},
        { 733595, "[]{[<>]}"},
        { 734099, "[]{[[]]}"},
        { 734195, "[]{[]<>}"},
        { 734279, "[]{[][]}"},
        { 734363, "[]{[]{}}"},
        { 20399, "[]{[]}"},
        { 734365, "[]{[]}<>"},
        { 734379, "[]{[]}[]"},
        { 734393, "[]{[]}{}"},
        { 734603, "[]{[{}]}"},
        { 736199, "[]{{<>}}"},
        { 736703, "[]{{[]}}"},
        { 737207, "[]{{{}}}"},
        { 737219, "[]{{}<>}"},
        { 737303, "[]{{}[]}"},
        { 737387, "[]{{}{}}"},
        { 20483, "[]{{}}"},
        { 737389, "[]{{}}<>"},
        { 737403, "[]{{}}[]"},
        { 737417, "[]{{}}{}"},
        { 569, "[]{}"},
        { 737431, "[]{}<<>>"},
        { 20485, "[]{}<>"},
        { 737461, "[]{}<><>"},
        { 737475, "[]{}<>[]"},
        { 737489, "[]{}<>{}"},
        { 737515, "[]{}<[]>"},
        { 737599, "[]{}<{}>"},
        { 737865, "[]{}[<>]"},
        { 737949, "[]{}[[]]"},
        { 20499, "[]{}[]"},
        { 737965, "[]{}[]<>"},
        { 737979, "[]{}[][]"},
        { 737993, "[]{}[]{}"},
        { 738033, "[]{}[{}]"},
        { 738299, "[]{}{<>}"},
        { 738383, "[]{}{[]}"},
        { 738467, "[]{}{{}}"},
        { 20513, "[]{}{}"},
        { 738469, "[]{}{}<>"},
        { 738483, "[]{}{}[]"},
        { 738497, "[]{}{}{}"},
        { 746781, "[{<<>>}]"},
        { 747861, "[{<><>}]"},
        { 748365, "[{<>[]}]"},
        { 748869, "[{<>{}}]"},
        { 748881, "[{<>}<>]"},
        { 748965, "[{<>}[]]"},
        { 20805, "[{<>}]"},
        { 748981, "[{<>}]<>"},
        { 748995, "[{<>}][]"},
        { 749009, "[{<>}]{}"},
        { 749049, "[{<>}{}]"},
        { 749805, "[{<[]>}]"},
        { 752829, "[{<{}>}]"},
        { 762405, "[{[<>]}]"},
        { 765429, "[{[[]]}]"},
        { 766005, "[{[]<>}]"},
        { 766509, "[{[][]}]"},
        { 767013, "[{[]{}}]"},
        { 767025, "[{[]}<>]"},
        { 767109, "[{[]}[]]"},
        { 21309, "[{[]}]"},
        { 767125, "[{[]}]<>"},
        { 767139, "[{[]}][]"},
        { 767153, "[{[]}]{}"},
        { 767193, "[{[]}{}]"},
        { 768453, "[{[{}]}]"},
        { 778029, "[{{<>}}]"},
        { 781053, "[{{[]}}]"},
        { 784077, "[{{{}}}]"},
        { 784149, "[{{}<>}]"},
        { 784653, "[{{}[]}]"},
        { 785157, "[{{}{}}]"},
        { 785169, "[{{}}<>]"},
        { 785253, "[{{}}[]]"},
        { 21813, "[{{}}]"},
        { 785269, "[{{}}]<>"},
        { 785283, "[{{}}][]"},
        { 785297, "[{{}}]{}"},
        { 785337, "[{{}}{}]"},
        { 785421, "[{}<<>>]"},
        { 785601, "[{}<><>]"},
        { 785685, "[{}<>[]]"},
        { 21825, "[{}<>]"},
        { 785701, "[{}<>]<>"},
        { 785715, "[{}<>][]"},
        { 785729, "[{}<>]{}"},
        { 785769, "[{}<>{}]"},
        { 785925, "[{}<[]>]"},
        { 786429, "[{}<{}>]"},
        { 788025, "[{}[<>]]"},
        { 788529, "[{}[[]]]"},
        { 788625, "[{}[]<>]"},
        { 788709, "[{}[][]]"},
        { 21909, "[{}[]]"},
        { 788725, "[{}[]]<>"},
        { 788739, "[{}[]][]"},
        { 788753, "[{}[]]{}"},
        { 788793, "[{}[]{}]"},
        { 789033, "[{}[{}]]"},
        { 609, "[{}]"},
        { 789271, "[{}]<<>>"},
        { 21925, "[{}]<>"},
        { 789301, "[{}]<><>"},
        { 789315, "[{}]<>[]"},
        { 789329, "[{}]<>{}"},
        { 789355, "[{}]<[]>"},
        { 789439, "[{}]<{}>"},
        { 789705, "[{}][<>]"},
        { 789789, "[{}][[]]"},
        { 21939, "[{}][]"},
        { 789805, "[{}][]<>"},
        { 789819, "[{}][][]"},
        { 789833, "[{}][]{}"},
        { 789873, "[{}][{}]"},
        { 790139, "[{}]{<>}"},
        { 790223, "[{}]{[]}"},
        { 790307, "[{}]{{}}"},
        { 21953, "[{}]{}"},
        { 790309, "[{}]{}<>"},
        { 790323, "[{}]{}[]"},
        { 790337, "[{}]{}{}"},
        { 790629, "[{}{<>}]"},
        { 791133, "[{}{[]}]"},
        { 791637, "[{}{{}}]"},
        { 791649, "[{}{}<>]"},
        { 791733, "[{}{}[]]"},
        { 21993, "[{}{}]"},
        { 791749, "[{}{}]<>"},
        { 791763, "[{}{}][]"},
        { 791777, "[{}{}]{}"},
        { 791817, "[{}{}{}]"},
        { 31151, "{<<>>}"},
        { 31331, "{<><>}"},
        { 31415, "{<>[]}"},
        { 31499, "{<>{}}"},
        { 875, "{<>}"},
        { 31501, "{<>}<>"},
        { 31515, "{<>}[]"},
        { 31529, "{<>}{}"},
        { 31655, "{<[]>}"},
        { 32159, "{<{}>}"},
        { 33755, "{[<>]}"},
        { 34259, "{[[]]}"},
        { 34355, "{[]<>}"},
        { 34439, "{[][]}"},
        { 34523, "{[]{}}"},
        { 959, "{[]}"},
        { 34525, "{[]}<>"},
        { 34539, "{[]}[]"},
        { 34553, "{[]}{}"},
        { 34763, "{[{}]}"},
        { 36359, "{{<>}}"},
        { 36863, "{{[]}}"},
        { 37367, "{{{}}}"},
        { 37379, "{{}<>}"},
        { 37463, "{{}[]}"},
        { 37547, "{{}{}}"},
        { 1043, "{{}}"},
        { 37549, "{{}}<>"},
        { 37563, "{{}}[]"},
        { 37577, "{{}}{}"},
        { 29, "{}"},
        { 37591, "{}<<>>"},
        { 1045, "{}<>"},
        { 37621, "{}<><>"},
        { 37635, "{}<>[]"},
        { 37649, "{}<>{}"},
        { 37675, "{}<[]>"},
        { 37759, "{}<{}>"},
        { 38025, "{}[<>]"},
        { 38109, "{}[[]]"},
        { 1059, "{}[]"},
        { 38125, "{}[]<>"},
        { 38139, "{}[][]"},
        { 38153, "{}[]{}"},
        { 38193, "{}[{}]"},
        { 38459, "{}{<>}"},
        { 38543, "{}{[]}"},
        { 38627, "{}{{}}"},
        { 1073, "{}{}"},
        { 38629, "{}{}<>"},
        { 38643, "{}{}[]"},
        { 38657, "{}{}{}"}
};
int32_t main()
{
    int x, y;
    cin >> x >> y;
    for(int i = y; i >= x; --i)
    {
        //string str = convert(i);
        if(ans[i] != "")
        {
            cout << i;
            return 0;
        }
    }
    cout << 0;
//    for(auto &el: ans)
//    {
//        cout << "{ " << el.second << ", "" << el.first << ""}" << ",\n";
//    }
}