def to_deca(s, base):
    res = 0
    for char in s:
        res = int(char) + res * base
    return res


def to_base(a, base):
    res = ''
    while a > 0:
        res += str(a % base)
        a //= base
    return res[::-1]


def to_norm_view(s):
    d = {'0': '<', '1': '>', '2': '[', '3': ']', '4': '{', '5': '}'}
    res = ''
    for char in s:
        res += d[char]
    return res


def check(s):
    bal1, bal2, bal3 = 0, 0, 0
    for char in s:
        if char == '<':
            bal1 += 1
        elif char == '>':
            bal1 -= 1
        elif char == '[':
            bal2 += 1
        elif char == ']':
            bal2 -= 1
        elif char == '{':
            bal3 += 1
        else:
            bal3 -= 1

        if bal1 < 0 or bal2 < 0 or bal3 < 0:
            return False

    return bal1 == 0 and bal2 == 0 and bal3 == 0


def main():
    x, y = map(int, input().split())
    cnt = 0
    for i in range(x, y + 1):
        num = to_base(i, 6)
        string = to_norm_view(num)
        cnt += check(string)
    print(cnt)


main()
