#include <algorithm>
#include <iostream>
#include <map>
#include <stack>
#include <string>

using namespace std;

#define fastio ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0)
#define int long long

string to6(int n) {
	if (n == 0)
		return "0";
	string res;
	while (n) {
		res.push_back('0' + (n % 6));
		n /= 6;
	}
	reverse(res.begin(), res.end());
	return res;
}

bool check(string s) {
	stack<char> q;
	for (auto i : s) {
		if (i == '<' || i == '[' || i == '{')
			q.push(i);
		else if (!q.empty() && (q.top() == '<' && i == '>' || q.top() == '[' && i == ']' || q.top() == '{' && i == '}'))
			q.pop();
		else
			return false;
	}
	return q.empty();
}

map<int, char> q;

signed main() {
	fastio;
	q[0] = '<';
	q[1] = '>';
	q[2] = '[';
	q[3] = ']';
	q[4] = '{';
	q[5] = '}';
	int x, y;
	cin >> x >> y;
	int ans = 0;
	for (int i = x; i <= y; ++i) {
		string s = to6(i);
		for (int j = 0; j < s.length(); ++j)
			s[j] = q[s[j] - '0'];
		if (check(s))
			ans = i;
	}
	cout << ans;
}