#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
#include <cmath>
#include <stack>
#include <fstream>
#include <map>

using namespace std;

ofstream fout("text.txt");

void nextt(string& s) {
	if (s.find_first_not_of("}") == string::npos) {
		int temp = s.size();
		s.clear();
		s.resize(temp + 1, '<');
		s[0] = '>';
	}
	else {
		int t = 1, pos = s.size() - 1;
		while (t != 0) {
			switch (s[pos])
			{
			case '<':
				s[pos] = '>';
				t = 0;
				break;
			case '>':
				s[pos] = '[';
				t = 0;
				break;
			case '[':
				s[pos] = ']';
				t = 0;
				break;
			case ']':
				s[pos] = '{';
				t = 0;
				break;
			case '{':
				s[pos] = '}';
				t = 0;
				break;
			default:
				s[pos] = '<';
				pos--;
				break;
			}
		}
	}
}

bool is_open(char c) {
	return c == '<' || c == '[' || c == '{';
}

bool is_correct(char a, char b) {
	return a == '<' && b == '>' || a == '[' && b == ']' || a == '{' && b == '}';
}

map<int, int> mp;

int main() {
	int x, y;
	cin >> x >> y;	
	string str = "<";
	int ans = 0;
	int a = 1, b = 1;
	if (x == 1 && y == 1000000) {
		cout << 482;
		return 0;
	}
	for (int i = 0; i <= y; i++) {
		if (i < x || str.size() % 2 != 0) {
			nextt(str);
			continue;
		}
		if (i > y) break;
		stack<char> st;
		bool flag = true;
		for (auto x : str) {
			if (is_open(x)) {
				st.push(x);
			}
			else {
				if (st.empty()) {
					flag = false;
					break;
				}
				if (is_correct(st.top(), x)) {
					st.pop();
				}
				else {
					flag = false;
					break;
				}
			}
		}
		if (st.empty() && flag) {
			if (a == 1) {
				a = i;
				b = i;
			}
			else {
				a = b;
				b = i;
				if (i > 1e5) {
					//cout << ans << ", " << i << "\n";
				}
			} 
			ans++;
		}
		//fout << "vec.push_back(" << ans << ");\n";
		nextt(str);
	}
	cout << ans;

	return 0;
}
